{ config, lib, ... }:
let
  host = "127.0.1.2";
  port = "5009";
  uid = 911;
  gid = 911;
in {
  users.users.archivebox = {
    inherit uid;
    group = "archivebox";
    isSystemUser = true;
    useDefaultShell = true;
    description = "ArchiveBox web archiving tool";
  };

  users.groups.archivebox = {
    inherit gid;
  };

  # ArchiveBox - Open source self-hosted web archiving.
  virtualisation.oci-containers.containers.archivebox = {
    image = "archivebox/archivebox:0.8.5rc50";
    ports = [ "${host}:${port}:8000" ];
    volumes = [
      "/tank/archivebox:/data"
    ];
  };

  services.nginx.virtualHosts."archivebox.home.feal.no" = {
    locations."/" = {
      proxyPass = "http://${host}:${port}";
    };
  };

}
